## javadap 2.2

=== src/opendap/dap/parser/Makefile ===
# Define how to build the parser(s)

all:: DapParser.java

clean::
	rm -f DapParser.java

DapParser.java:: dap.y
	bison -t -L java -pDap dap.y -o DapParser.java

# Process oc/dap.y to make it usable for a java parser */

#dap.y: ~/nc/oc/dap.y dap.y.hdr
#	rm ./dap.yc
#	cp ~/nc/oc/dap.y  ./dap.yc


dap.y::
	sed -e '1,/\/[*]DO NOT DELETE THIS LINE[*]\//d' \
	    -e 's|YYABORT|return YYABORT|' \
	    -e 's|YYACCEPT|return YYACCEPT|' \
		<./dap.yc >/tmp/dap.y.core
	cat dap.y.hdr /tmp/dap.y.core >dap.y

=== src/opendap/dap/parser/testdata/Makefile ===
# Makefile.in generated by automake 1.11 from Makefile.am.
# ncdap_test/testdata3/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright 2007, see the COPYRIGHT file for more information.

# This is to include the libnc-dap test comparison files

# $Id: Makefile.am,v 1.7 2009/05/30 21:28:53 dmh Exp $

pkgdatadir = $(datadir)/netcdf
pkgincludedir = $(includedir)/netcdf
pkglibdir = $(libdir)/netcdf
pkglibexecdir = $(libexecdir)/netcdf
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i386-pc-solaris2.10
host_triplet = i386-pc-solaris2.10
subdir = ncdap_test/testdata3
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h \
	$(top_builddir)/fortran/nfconfig1.inc
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/dmh/nc/netcdf-3/missing --run aclocal-1.11
ALLOCA = 
AMTAR = ${SHELL} /home/dmh/nc/netcdf-3/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/dmh/nc/netcdf-3/missing --run autoconf
AUTOHEADER = ${SHELL} /home/dmh/nc/netcdf-3/missing --run autoheader
AUTOMAKE = ${SHELL} /home/dmh/nc/netcdf-3/missing --run automake-1.11
AWK = gawk
BINFILE_NAME = binary-netcdf-4.1.1.tar
CC = cc
CCDEPMODE = depmode=none
CFLAGS = -g
CPP = cc -E
CPPFLAGS = 
CURLDIR = /upc/share/stdinstall/local/buddy
CURL_CFLAGS = -I/upc/share/stdinstall/local/buddy/include
CURL_FCFLAGS = -I/upc/share/stdinstall/local/buddy/include
CURL_FFLAGS = -I/upc/share/stdinstall/local/buddy/include
CURL_LIBS = -L/upc/share/stdinstall/local/buddy/lib -lcurl -lldap -lrt -lsocket -lnsl
CXX = CC
CXXCPP = CC -E
CXXDEPMODE = depmode=none
CXXFLAGS = -g
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /opt/csw/bin/ggrep -E
EXEEXT = 
F77 = f95
FC = f95
FCFLAGS = -g
FCFLAGS_f90 = 
FFLAGS = -g
FGREP = /opt/csw/bin/ggrep -F
FTPBINDIR = /home/ftp/pub/binary/sunos_5.10-i386
GREP = /opt/csw/bin/ggrep
HAS_CXX = no
HAS_DAP = yes
HAS_F77 = no
HAS_F90 = no
HAS_HDF4 = no
HAS_HDF5 = yes
HAS_NC2 = yes
HAS_NC4 = yes
HAS_SZLIB = no
HDF4DIR = 
HDF5DIR = /upc/share/stdinstall/local/buddy
INSTALL = /opt/csw/bin/ginstall -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/ccs/bin/ld
LDFLAGS = 
LIBOBJS = 
LIBS = -lnsl -lnsl 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/dmh/nc/netcdf-3/missing --run makeinfo
MAKEWHATIS_CMD = catman -w -M $(MANDIR)
MKDIR_P = /opt/csw/bin/gmkdir -p
MOD_FLAG = 
NC_FLIBS = -lnetcdf -L/upc/share/stdinstall/local/buddy/lib -lhdf5_hl -lhdf5  -L/upc/share/stdinstall/local/buddy/lib -lz -lm -lnsl -lnsl  -L/upc/share/stdinstall/local/buddy/lib -lcurl -lldap -lrt -lsocket -lnsl
NC_LIBS = -lnetcdf -L/upc/share/stdinstall/local/buddy/lib -lhdf5_hl -lhdf5  -L/upc/share/stdinstall/local/buddy/lib -lz -lm -lnsl -lnsl  -L/upc/share/stdinstall/local/buddy/lib -lcurl -lldap -lrt -lsocket -lnsl
NETCDF_C_LIB = 
NM = /opt/csw/i386-pc-solaris2.8/bin/nm -B
NMEDIT = 
NMFLAGS = 
OBJEXT = o
OCLIB_CFLAGS = -I/include
OCLIB_LIBS = -L/lib -loc
PACKAGE = netcdf
PACKAGE_BUGREPORT = support-netcdf@unidata.ucar.edu
PACKAGE_NAME = netCDF
PACKAGE_STRING = netCDF 4.1.1
PACKAGE_TARNAME = netcdf
PACKAGE_VERSION = 4.1.1
PATH_SEPARATOR = :
PNETCDFDIR = 
RANLIB = ranlib
SED = /opt/csw/bin/gsed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
SZLIBDIR = 
VERSION = 4.1.1
WHATIS = windex
ZLIBDIR = /upc/share/stdinstall/local/buddy
abs_builddir = /home/dmh/nc/netcdf-3/ncdap_test/testdata3
abs_srcdir = /home/dmh/nc/netcdf-3/ncdap_test/testdata3
abs_top_builddir = /home/dmh/nc/netcdf-3
abs_top_srcdir = /home/dmh/nc/netcdf-3
ac_ct_CC = cc
ac_ct_CXX = CC
ac_ct_DUMPBIN = 
ac_ct_F77 = f95
ac_ct_FC = f95
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i386-pc-solaris2.10
build_alias = 
build_cpu = i386
build_os = solaris2.10
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i386-pc-solaris2.10
host_alias = 
host_cpu = i386
host_os = solaris2.10
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/dmh/nc/netcdf-3/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${datarootdir}/man
mkdir_p = /opt/csw/bin/gmkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /tmp/install
prog = catman
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
subdirs =  udunits libcf
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
EXTRA_DIST = \
synth1.das synth1.dds synth1.dods \
synth2.das synth2.dds synth2.dods \
synth3.das synth3.dds synth3.dods \
synth4.das synth4.dds synth4.dods \
synth5.das synth5.dds synth5.dods \
synth6.das synth6.dds synth6.dods \
synth7.das synth7.dds synth7.dods \
synth8.das synth8.dds synth8.dods \
123bears.nc.das 123bears.nc.dds 123bears.nc.dods \
123.nc.das 123.nc.dds 123.nc.dods \
1990-S1700101.HDF.WVC_Lat.das 1990-S1700101.HDF.WVC_Lat.dds 1990-S1700101.HDF.WVC_Lat.dods \
1998-6-avhrr.dat.das 1998-6-avhrr.dat.dds 1998-6-avhrr.dat.dods \
b31a.das b31a.dds b31a.dods \
b31.das b31.dds b31.dods \
bears.nc.das bears.nc.dds bears.nc.dods \
ber-2002-10-01.nc.das ber-2002-10-01.nc.dds ber-2002-10-01.nc.dods \
ceopL2AIRS2-2.nc.das ceopL2AIRS2-2.nc.dds ceopL2AIRS2-2.nc.dods \
ceopL2AIRS2.nc.das ceopL2AIRS2.nc.dds ceopL2AIRS2.nc.dods \
D1.das D1.dds D1.dods \
data.nc.das data.nc.dds data.nc.dods \
Drifters.das Drifters.dds Drifters.dods \
EOSDB.das EOSDB.dds EOSDB.dods \
fnoc1.nc.das fnoc1.nc.dds fnoc1.nc.dods \
in1.nc.das in1.nc.dds in1.nc.dods \
in_2.nc.das in_2.nc.dds in_2.nc.dods \
ingrid.das ingrid.dds ingrid.dods \
in.nc.das in.nc.dds in.nc.dods \
in_no_three_double_dmn.nc.das in_no_three_double_dmn.nc.dds in_no_three_double_dmn.nc.dods \
in_v.nc.das in_v.nc.dds in_v.nc.dods \
nestedDAS.das nestedDAS.dds nestedDAS.dods \
NestedSeq2.das NestedSeq2.dds NestedSeq2.dods \
NestedSeq.das NestedSeq.dds NestedSeq.dods \
OverideExample.das OverideExample.dds OverideExample.dods \
pbug0001b.das pbug0001b.dds pbug0001b.dods \
saco1.nc.das saco1.nc.dds saco1.nc.dods \
SimpleDrdsExample.das SimpleDrdsExample.dds SimpleDrdsExample.dods \
test.01.das test.01.dds test.01.dods \
test.02.das test.02.dds test.02.dods \
test.03.das test.03.dds test.03.dods \
test.04.das test.04.dds test.04.dods \
test.05.das test.05.dds test.05.dods \
test.06a.das test.06a.dds test.06a.dods \
test.06.das test.06.dds test.06.dods \
test.07a.das test.07a.dds test.07a.dods \
test.07.das test.07.dds test.07.dods \
test.21.das test.21.dds test.21.dods \
test.22.das test.22.dds test.22.dods \
test.23.das test.23.dds test.23.dods \
test.31.das test.31.dds test.31.dods \
test.32.das test.32.dds test.32.dods \
test.50.das test.50.dds test.50.dods \
test.53.das test.53.dds test.53.dods \
test.55.das test.55.dds test.55.dods \
test.56.das test.56.dds test.56.dods \
test.57.das test.57.dds test.57.dods \
test.66.das test.66.dds test.66.dods \
test.67.das test.67.dds test.67.dods \
test.68.das test.68.dds test.68.dods \
test.69.das test.69.dds test.69.dods \
test.an1.das test.an1.dds test.an1.dods \
test.dfp1.das test.dfp1.dds test.dfp1.dods \
test.dfr1.das test.dfr1.dds test.dfr1.dods \
test.dfr2.das test.dfr2.dds test.dfr2.dods \
test.dfr3.das test.dfr3.dds test.dfr3.dods \
testfile.nc.das testfile.nc.dds testfile.nc.dods \
test.gr1.das test.gr1.dds test.gr1.dods \
test.gr2.das test.gr2.dds test.gr2.dods \
test.gr3.das test.gr3.dds test.gr3.dods \
test.gr4.das test.gr4.dds test.gr4.dods \
test.gr5.das test.gr5.dds test.gr5.dods \
test.nc.das test.nc.dds test.nc.dods \
test.PointFile.das test.PointFile.dds test.PointFile.dods \
test.sds1.das test.sds1.dds test.sds1.dods \
test.sds2.das test.sds2.dds test.sds2.dods \
test.sds3.das test.sds3.dds test.sds3.dods \
test.sds4.das test.sds4.dds test.sds4.dods \
test.sds5.das test.sds5.dds test.sds5.dods \
test.sds6.das test.sds6.dds test.sds6.dods \
test.sds7.das test.sds7.dds test.sds7.dods \
test.SwathFile.das test.SwathFile.dds test.SwathFile.dods \
test.vs1.das test.vs1.dds test.vs1.dods \
test.vs2.das test.vs2.dds test.vs2.dods \
test.vs3.das test.vs3.dds test.vs3.dods \
test.vs4.das test.vs4.dds test.vs4.dods \
test.vs5.das test.vs5.dds test.vs5.dods \
text.nc.das text.nc.dds text.nc.dods \
whoi.das whoi.dds whoi.dods

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign ncdap_test/testdata3/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign ncdap_test/testdata3/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \

=== debian/changelog ===
javadap (2.2-2) unstable; urgency=low

  * Update to servlet 3.0
  * Bump Std-Vers to 3.9.4, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Sun, 23 Jun 2013 17:32:39 +0200

javadap (2.2-1) unstable; urgency=low

  * Initial Debian Upload (Closes: #641315)

 -- Mathieu Malaterre <malat@debian.org>  Thu, 05 Apr 2012 12:27:57 +0200

=== debian/control ===
Source: javadap
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>
Build-Depends: debhelper (>= 8), default-jdk, ant, javahelper (>= 0.25)
Build-Depends-Indep: libjdom1-java, libcommons-httpclient-java, junit, tomcat7-common
Standards-Version: 3.9.4
Homepage: http://opendap.org
Vcs-Svn: svn://svn.debian.org/pkg-java/trunk/javadap
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/javadap/

Package: libopendap-java
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Recommends: ${java:Recommends}
Description: Project for a Network Data Access Protocol
 OPeNDAP is a framework that simplifies all aspects of scientific data
 networking.
 .
 OPeNDAP provides software which makes local data accessible to remote
 locations regardless of local storage format.
 .
 OPeNDAP also provides tools for transforming existing applications into
 OPeNDAP clients (i.e., enabling them to remotely access OPeNDAP served data).

Package: libopendap-java-doc
Section: doc
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Recommends: ${java:Recommends}
Description: Project for a Network Data Access Protocol (documentation)
 OPeNDAP is a framework that simplifies all aspects of scientific data
 networking.
 .
 OPeNDAP provides software which makes local data accessible to remote
 locations regardless of local storage format.
 .
 OPeNDAP also provides tools for transforming existing applications into
 OPeNDAP clients (i.e., enabling them to remotely access OPeNDAP served data).
 .
 This package provides the documentation for the library

=== debian/rules ===
#!/usr/bin/make -f

JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH=/usr/share/java/commons-httpclient.jar:/usr/share/java/jdom1.jar:/usr/share/java/servlet-api.jar

%:
	dh $@ --with javahelper

override_dh_auto_build:
	ant -Dbuild.sysclasspath=first distribution

get-orig-source:
	./debian/get-orig-source
